Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Failed to create directory - mailfactory-1.4.0/. #36

Closed
pelemy opened this Issue Nov 8, 2011 · 1 comment

Comments

Projects
None yet
2 participants

pelemy commented Nov 8, 2011

When i require 'mailfactory' and use ocra to generate .exe file, the error caused.

Failed to create directory 'C:\DOCUME1\admin\LOCALS1\Temp\ocr71.tmp\lib\ruby
ems\1.8\gems\mailfactory-1.4.0.'.

Found that a folder under mailfactory-1.4.0 which was named "." was created when package to .exe, but it's not exist actually, see the log below.

how can i package it successfully?

=== Loading script to check dependencies
=== Building demo.exe
m src
a src/demo.rb
m bin
a bin/ruby.exe
a bin/msvcrt-ruby18.dll
a bin/zlib1.dll
m lib
m lib/ruby
m lib/ruby/gems
m lib/ruby/gems/1.8
m lib/ruby/gems/1.8/specifications
a lib/ruby/gems/1.8/specifications/mailfactory-
a lib/ruby/gems/1.8/specifications/ocra-1.2.0.g
a lib/ruby/gems/1.8/specifications/mime-types-1
a lib/ruby/gems/1.8/specifications/mailfactory-
a lib/ruby/gems/1.8/specifications/mime-types-1
m lib/ruby/site_ruby
m lib/ruby/site_ruby/1.8
m lib/ruby/site_ruby/1.8/rubygems
a lib/ruby/site_ruby/1.8/rubygems/defaults.rb
m lib/ruby/1.8
m lib/ruby/1.8/i386-mswin32
a lib/ruby/1.8/i386-mswin32/thread.so
a lib/ruby/1.8/thread.rb
a lib/ruby/1.8/i386-mswin32/etc.so
a lib/ruby/1.8/i386-mswin32/rbconfig.rb
a lib/ruby/site_ruby/1.8/rubygems/exceptions.rb
a lib/ruby/site_ruby/1.8/rubygems/version.rb
a lib/ruby/site_ruby/1.8/rubygems/requirement.r
a lib/ruby/site_ruby/1.8/rubygems/dependency.rb
a lib/ruby/site_ruby/1.8/rubygems/gem_path_sear
a lib/ruby/site_ruby/1.8/rubygems/user_interact
a lib/ruby/site_ruby/1.8/rubygems/platform.rb
a lib/ruby/site_ruby/1.8/rubygems/specification
a lib/ruby/site_ruby/1.8/rubygems/source_index.
a lib/ruby/site_ruby/1.8/rubygems/builder.rb
a lib/ruby/1.8/i386-mswin32/Win32API.so
a lib/ruby/site_ruby/1.8/rubygems/config_file.r
a lib/ruby/site_ruby/1.8/rubygems/custom_requir
a lib/ruby/site_ruby/1.8/rubygems.rb
a lib/ruby/site_ruby/1.8/ubygems.rb
a lib/ruby/1.8/pathname.rb
m lib/ruby/gems/1.8/gems
m lib/ruby/gems/1.8/gems/mime-types-1.16
m lib/ruby/gems/1.8/gems/mime-types-1.16/lib
m lib/ruby/gems/1.8/gems/mime-types-1.16/lib/mi
a lib/ruby/gems/1.8/gems/mime-types-1.16/lib/mi
a lib/ruby/1.8/i386-mswin32/enumerator.so
m lib/ruby/gems/1.8/gems/mailfactory-1.4.0
m lib/ruby/gems/1.8/gems/mailfactory-1.4.0/lib
a lib/ruby/gems/1.8/gems/mailfactory-1.4.0/lib/
m lib/ruby/site_ruby/1.8/i386-msvcrt
a lib/ruby/site_ruby/1.8/i386-msvcrt/zlib.so
a lib/ruby/1.8/fileutils.rb
a lib/ruby/1.8/i386-mswin32/socket.so
a lib/ruby/1.8/timeout.rb
m lib/ruby/1.8/net
a lib/ruby/1.8/net/protocol.rb
m lib/ruby/1.8/uri
a lib/ruby/1.8/uri/common.rb
a lib/ruby/1.8/uri/generic.rb
a lib/ruby/1.8/uri/ftp.rb
a lib/ruby/1.8/uri/http.rb
a lib/ruby/1.8/uri/https.rb
a lib/ruby/1.8/uri/ldap.rb
a lib/ruby/1.8/uri/mailto.rb
a lib/ruby/1.8/uri.rb
a lib/ruby/1.8/net/http.rb
a lib/ruby/1.8/i386-mswin32/stringio.so
a lib/ruby/1.8/rational.rb
m lib/ruby/1.8/date
a lib/ruby/1.8/date/format.rb
a lib/ruby/1.8/parsedate.rb
a lib/ruby/1.8/time.rb
a lib/ruby/site_ruby/1.8/rubygems/remote_fetche
a lib/ruby/site_ruby/1.8/rubygems/spec_fetcher.
m lib/ruby/gems/1.8/gems/mailfactory-1.4.0/.
m lib/ruby/gems/1.8/gems/mailfactory-1.4.0/./li
a lib/ruby/gems/1.8/gems/mailfactory-1.4.0/./li
m lib/ruby/gems/1.8/gems/mailfactory-1.4.0/./te
a lib/ruby/gems/1.8/gems/mailfactory-1.4.0/./te
a lib/ruby/gems/1.8/gems/mime-types-1.16/lib/mi
a lib/ruby/gems/1.8/gems/mime-types-1.16/lib/mi
a lib/ruby/gems/1.8/gems/mime-types-1.16/mime-t
e RUBYOPT -rubygems
e RUBYLIB
e GEM_PATH \gemhome
p \bin\ruby.exe ruby.exe "\sr
=== Compressing

=== Finished building demo.exe (488136 bytes)

ruby -version: 1.8.6
ocra -version:1.2.0
OS: windows xp sp3

by the way, I tried ocra-1.3.0, a warning showed that the folder "mailfactory-1.4.0/lib" cannot be found when package to .exe.

Owner

larsch commented Nov 13, 2011

The specific issue with '.' directories not being able to be created is definately fixed in 1.3.0. Can't reproduce the warning with 1.3.0. Please open an issue on 1.3.0 if it still doesn't work.

@larsch larsch closed this Nov 13, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment